NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.CircularBlendCurveBuilder Class Reference

Represents a NXOpen.Features.CircularBlendCurve builder More...

Inheritance diagram for NXOpen.Features.CircularBlendCurveBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CylinderDirectionOption { BestFit, Variable, Vector, CurrentView }
 Represents the cylinder direction options More...
 
enum  CylinderRadiusOption { PointOnFirstCurve, PointOnSecondCurve, Value }
 Represents the cylinder radius options More...
 

Public Member Functions

unsafe void ComplementArc ()
 Complements the circular blend curve More...
 
unsafe void Evaluate ()
 Evaluates the circular blend curve More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool Associative [get, set]
 Returns or sets whether to create the associative output or non associative output More...
 
unsafe
NXOpen.GeometricUtilities.CurveFitOptions 
CurveFitMethod [get]
 Returns the curve fit method as NXOpen.GeometricUtilities.CurveFitOptions More...
 
unsafe NXOpen.Expression CylinderRadius [get]
 Returns the cylinder radius as NXOpen.Expression , if NXOpen.Features.CircularBlendCurveBuilder.CylinderRadiusOption is NXOpen.Features.CircularBlendCurveBuilder.CylinderRadiusOption.Value More...
 
unsafe
NXOpen.Features.CircularBlendCurveBuilder.CylinderDirectionOption 
DirectionOption [get, set]
 Returns or sets the cylinder direction option as NXOpen.Features.CircularBlendCurveBuilder.CylinderDirectionOption More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance More...
 
unsafe NXOpen.Section FirstCurve [get]
 Returns the first curve chain More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
PointArclength [get]
 Returns the location of the point on curve as arclength or arclength, if NXOpen.Features.CircularBlendCurveBuilder.CylinderRadiusOption is NXOpen.Features.CircularBlendCurveBuilder.CylinderRadiusOption.PointOnFirstCurve or Features.CircularBlendCurveBuilder.CylinderRadiusOption.PointOnSecondCurve More...
 
unsafe
NXOpen.Features.CircularBlendCurveBuilder.CylinderRadiusOption 
RadiusOption [get, set]
 Returns or sets the cylinder radius option as NXOpen.Features.CircularBlendCurveBuilder.CylinderRadiusOption More...
 
unsafe NXOpen.Section SecondCurve [get]
 Returns the second curve chain More...
 
unsafe double ShapeControlFirstCurve [get, set]
 Returns or sets the shape control for first curve, specifies how quickly the circular blend curve deviates from the first curve. More...
 
unsafe double ShapeControlSecondCurve [get, set]
 Returns or sets the shape control for second curve, specifies how quickly the circular blend curve deviates from the second curve. More...
 
unsafe NXOpen.Direction Vector [get, set]
 Returns or sets the vector for cylinder direction, if NXOpen.Features.CircularBlendCurveBuilder.CylinderDirectionOption is NXOpen.Features.CircularBlendCurveBuilder.CylinderDirectionOption.Vector More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.CircularBlendCurve builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateCircularBlendCurveBuilder

Default values.

Property Value

Associative

True

CurveFitMethod.FitOption

Cubic

CurveFitMethod.MaximumDegree

7

CurveFitMethod.MaximumSegments

1

CylinderRadius.Value

0.0 (millimeters part), 0.0 (inches part)

DirectionOption

BestFit

PointArclength.Expression.Value

0.0 (millimeters part), 0.0 (inches part)

RadiusOption

PointOnFirstCurve

ShapeControlFirstCurve

2.0

ShapeControlSecondCurve

2.0

Created in NX5.0.0

Member Enumeration Documentation

Represents the cylinder direction options

Enumerator
BestFit 

Best fit method

Variable 

Variable method

Vector 

Specify vector method

CurrentView 

Current view method

Represents the cylinder radius options

Enumerator
PointOnFirstCurve 

Radius by point on first curve

PointOnSecondCurve 

Radius by point on second curve

Value 

Radius by value

Member Function Documentation

unsafe void NXOpen.Features.CircularBlendCurveBuilder.ComplementArc ( )
inline

Complements the circular blend curve

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe void NXOpen.Features.CircularBlendCurveBuilder.Evaluate ( )
inline

Evaluates the circular blend curve

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Property Documentation

unsafe bool NXOpen.Features.CircularBlendCurveBuilder.Associative
getset

Returns or sets whether to create the associative output or non associative output

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricUtilities.CurveFitOptions NXOpen.Features.CircularBlendCurveBuilder.CurveFitMethod
get

Returns the curve fit method as NXOpen.GeometricUtilities.CurveFitOptions

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.CircularBlendCurveBuilder.CylinderRadius
get
unsafe NXOpen.Features.CircularBlendCurveBuilder.CylinderDirectionOption NXOpen.Features.CircularBlendCurveBuilder.DirectionOption
getset

Returns or sets the cylinder direction option as NXOpen.Features.CircularBlendCurveBuilder.CylinderDirectionOption

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.CircularBlendCurveBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Section NXOpen.Features.CircularBlendCurveBuilder.FirstCurve
get

Returns the first curve chain

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Features.CircularBlendCurveBuilder.PointArclength
get
unsafe NXOpen.Features.CircularBlendCurveBuilder.CylinderRadiusOption NXOpen.Features.CircularBlendCurveBuilder.RadiusOption
getset

Returns or sets the cylinder radius option as NXOpen.Features.CircularBlendCurveBuilder.CylinderRadiusOption

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Section NXOpen.Features.CircularBlendCurveBuilder.SecondCurve
get

Returns the second curve chain

Created in NX5.0.0

License requirements: None.

unsafe double NXOpen.Features.CircularBlendCurveBuilder.ShapeControlFirstCurve
getset

Returns or sets the shape control for first curve, specifies how quickly the circular blend curve deviates from the first curve.

The lower the number, the quicker the deviation.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.CircularBlendCurveBuilder.ShapeControlSecondCurve
getset

Returns or sets the shape control for second curve, specifies how quickly the circular blend curve deviates from the second curve.

The lower the number, the quicker the deviation.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Direction NXOpen.Features.CircularBlendCurveBuilder.Vector
getset

Returns or sets the vector for cylinder direction, if NXOpen.Features.CircularBlendCurveBuilder.CylinderDirectionOption is NXOpen.Features.CircularBlendCurveBuilder.CylinderDirectionOption.Vector

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.